gnu.trove

## Class TLongStack

- java.lang.Object
- - gnu.trove.TLongStack

    public class TLongStack
    extends java.lang.Object

A stack of long primitives, backed by a TLongArrayList.

Version:
  $Id: PStack.template,v 1.2 2007/02/28 23:03:57 robeden Exp $
Author:
  Eric D. Friedman, Rob Eden

### Field Summary

Fields
`protected TLongArrayList` `_list` the list used to hold the stack values.
`static int` `DEFAULT_CAPACITY`

### Constructor Summary

Constructors
Constructor and Description
`TLongStack()` Creates a new `TLongStack` instance with the default capacity.
`TLongStack(int capacity)` Creates a new `TLongStack` instance with the specified capacity.

### Method Summary

Methods
`void` `clear()` Clears the stack, reseting its capacity to the default.
`long` `peek()` Returns the value at the top of the stack.
`long` `pop()` Removes and returns the value at the top of the stack.
`void` `push(long val)` Pushes the value onto the top of the stack.
`void` `reset()` Clears the stack without releasing its internal capacity allocation.
`int` `size()` Returns the current depth of the stack.
`long[]` `toNativeArray()` Copies the contents of the stack into a native array.
`void` `toNativeArray(long[] dest)` Copies a slice of the list into a native array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _list

    protected TLongArrayList _list

the list used to hold the stack values.

#### DEFAULT_CAPACITY

    public static final int DEFAULT_CAPACITY

See Also:
  Constant Field Values

### Constructor Detail

#### TLongStack

    public TLongStack()

Creates a new `TLongStack` instance with the default capacity.

#### TLongStack

    public TLongStack(int capacity)

Creates a new `TLongStack` instance with the specified capacity.

Parameters:
  `capacity` - the initial depth of the stack

### Method Detail

#### push

    public void push(long val)

Pushes the value onto the top of the stack.

Parameters:
  `val` - an `long` value

#### pop

    public long pop()

Removes and returns the value at the top of the stack.

Returns:
  an `long` value

#### peek

    public long peek()

Returns the value at the top of the stack.

Returns:
  an `long` value

#### size

    public int size()

Returns the current depth of the stack.

#### clear

    public void clear()

Clears the stack, reseting its capacity to the default.

#### reset

    public void reset()

Clears the stack without releasing its internal capacity allocation.

#### toNativeArray

    public long[] toNativeArray()

Copies the contents of the stack into a native array. Note that this will NOT pop them out of the stack.

Returns:
  an `long[]` value

#### toNativeArray

    public void toNativeArray(long[] dest)

Copies a slice of the list into a native array. Note that this will NOT pop them out of the stack.

Parameters:
  `dest` - the array to copy into.